<?php
/**
 * Border style view
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
$classid  = '.ipjck-widget-' . $this->widget->ID;
$bowidth  = $st->getSetting( 'box_border_size', 4 );
$bostyle  = $st->getSetting( 'box_border_style', 'solid' );
$bocolor  = $st->getSetting( 'box_border_color', '#dddddd' );
$boradius = $st->getSetting( 'box_border_radius', 'none' );

$pos = '';
if ( isset( $this->borderPosition ) && $this->borderPosition != 'all' ) {
	$pos = $this->borderPosition . '-';
}
?>
<style>
	<?php echo $classid; ?> .ipjck-widget-content {
		border-<?php echo $pos; ?>width: <?php echo $bowidth; ?>px;
		border-<?php echo $pos; ?>color: <?php echo $bocolor; ?>;
		border-<?php echo $pos; ?>style: <?php echo $bostyle; ?>;
	}
</style>